<template>
  <section id="contato">
    <div class="container mx-auto contact-content text-white">
      <div class="text-3xl md:text-5xl lg:w-full text-center">
        Cursinho da Poli USP
      </div>

      <div class="contacts">
        <div class="contact-card">
          <PhoneCall class="cc-svg" />
          <p>(11) 3091-9875</p>
        </div>
        <div class="contact-card">
          <Message1 class="cc-svg" />
          <p>cursinhodogremiodapoli@gmail.com</p>
        </div>
      </div>

      <div class="map-adress">
        <iframe
          src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d7314.65730305545!2d-46.7317333!3d-23.5566371!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x94ce57491152bc73%3A0x2312161589d84a16!2sCursinho+da+Poli-USP!5e0!3m2!1sen!2sbr!4v1557934629985!5m2!1sen!2sbr"
          frameborder="0"
          allowfullscreen
        ></iframe>
      </div>
    </div>
  </section>
</template>

<script>
import Message1 from "@/components/blocks/svgs/Message1.vue";
import PhoneCall from "@/components/blocks/svgs/PhoneCall.vue";

export default {
  name: "thefooter",
  components: {
    Message1,
    PhoneCall
  }
};
</script>

<style lang="postcss">
#contato {
  background-color: var(--l-dark-gray-dark);
}

.map-adress {
  @apply w-full;
}
.map-adress iframe {
  @apply w-full h-full;
}

@screen lg {
  .map-adress {
    @apply w-2/5 h-5/8;
  }
}

.contact-content {
  @apply flex flex-col flex-no-wrap justify-around items-center h-90;
}

.contacts {
  @apply flex flex-col flex-no-wrap justify-center items-center;
  @apply w-full;
}

.contact-card {
  @apply flex flex-row justify-start items-center w-full;
}

.cc-svg {
  @apply h-full w-10 mx-4;
  fill: white;
}

@screen md {
  .contacts {
    @apply flex-row justify-around;
  }

  .contact-card {
    width: unset;
    @apply text-xl;
  }
}

@screen lg {
  .contact-content {
    @apply flex-row flex-wrap;
  }

  .contacts {
    @apply w-2/5;
    @apply flex-col;
  }
}
</style>
